T_values=(2 4 8 16 32)
K_values=(2 4 8)
B_values=(128)

data_dir="/datasets/CIFAR100"

amp="-amp"
opt="-opt adamw"
channels="-channels 128"
epochs="-epochs 2"
class_num="-class-num 100"
device="-device cuda:0"
lr="-lr 0.001"

for B in "${B_values[@]}"; do
  echo "Running with B=$B"
  for T in "${T_values[@]}"; do
    for K in "${K_values[@]}"; do
      echo "Running with T=$T and K=$K"
      python speed_benchmark.py -data-dir $data_dir $amp $opt $channels -T $T $epochs $class_num $device -K $K $lr -b $B
    done
  done
done

